<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
///////////////////////////////////////////////// inicio del programa ////////////////////////////////////////////////////////////////
if (!$_POST) {
?>
<html>
	<head><script language='javascript' src='fscript.js'></script>
	<link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?
$entra=0;
echo "<h2>Reporte de ARC</h2>";

		$a=date ("Y");$m=date ("n");$d=date ("j");
		echo "
		<form name='entrada' action='".$_SERVER['PHP_SELF']."' target='_blank' method='POST'>
		<input type='hidden' name='usuario' value = '".$_SESSION['nombre_validar']."'>
		<input type='hidden' name='reporte' value = '1'>
		<table cellpadding=2 cellspacing=0 align='center'>
		<tr>
			<td align='right'>C&eacute;dula:</td>
			<td align='left'><input name='cedula' size = '20' maxlength = '8' ></td>
		</tr>";

		echo "<tr>";
		echo "<td align='right'>A&ntilde;o (AAAA):</td>";
		echo "<td align='left'><input name='fecha' size = '10' maxlength = '4'></td></tr>";		
		
		echo "<tr><td colspan='2' align='center'>";
		echo "&nbsp;<p><input name='ver' type='submit' style='margin-left:5px; ' value='Visualizar Reporte para Imprimir/Guardar'>";
		echo "</td></tr>";
		echo "</table></form></font>";
} 

///////////////////////////////////////////////// cuando esta recibiendo datos  ////////////////////////////////////////////////////////////////	
if ($_POST['reporte']==1) {
		$consulta=mysqli_query($enlace,"select * from empresa where id='".$_SESSION['id_validar']."' ");
		if (mysqli_num_rows($consulta)!=0){
			$row=mysqli_fetch_array($consulta);
			$_POST['pie']=$row['pie'];
			$_POST['encabeza']=$row['encabeza'];
			$_POST['empresa']=substr($_POST['nomina'],6,100);
		}   
		$_POST['usuario']=$_SESSION['nombre_validar'];
		require('fpdf.php');
		class PDF extends FPDF {
		function Header()
		{
		    //$this->Image($_SESSION['logo_validar'],10,10,30,30);
		    $this->SetFont('arial','',12);
			$this->Ln(2);
			$this->SetFont('arial','B',10);
		    //$this->Cell(0,0,$_POST['empresa'],0,1,'R'); $this->Ln(4);
			$this->SetFont('arial','',8); 
			//$this->Cell(0,0,$_POST['encabeza'],0,1,'R');$this->Ln(1);
			//$this->Cell(210);$this->Cell(0,5,'Fecha: '.hoy(),0,1,'R'); $this->Ln(1);
		    //$this->Cell(210);$this->Cell(0,5,'Usuario: '.$_POST['usuario'],0,1,'R'); $this->Ln(5);
			$this->SetFont('arial','B',12);  
			$this->Cell(0,0,'COMPROBANTE DE PAGO Y RETENCIONES DE IMPUESTO SOBRE LA RENTA',0,1,'C');$this->Ln(5);
			$this->SetFont('arial','',12);
			$this->Cell(0,0,'(Sobre Sueldos y Salarios y Demas Remuneraciones Similares)',0,1,'C');$this->Ln(5);
			$this->SetFont('arial','B',12);
			$this->Cell(0,0,'(Año '.$_POST["fecha"].')',0,1,'C');$this->Ln(12);
			$this->Rect(10, 5, 195, 25, 'D');
			$this->Cell(0,0,'DATOS DEL AGENTE DE RETENCION',0,1,'C');$this->Ln(5);
			$this->SetFont('arial','B',11);
			$this->Cell(50,8,'RAZON SOCIAL',1,0,'L');
			$this->SetFont('arial','',12);
			$this->Cell(145,8,$_SESSION['empresa_validar'],1,1,'L');
			$this->SetFont('arial','B',11);
			$this->Cell(50,8,'DIRECCION',1,0,'L');
			$this->SetFont('arial','',9);
			$this->Cell(145,8,$_POST['pie'],1,1,'L');
			$this->SetFont('arial','B',11);
			$this->Cell(50,8,'RIF. NUMERO',1,0,'L');
			$this->SetFont('arial','',12);
			$this->Cell(145,8,$_POST['encabeza'],1,1,'L');
			$this->Ln(5);
			$this->SetFont('arial','B',12);
			$this->Cell(0,0,'DATOS DEL TRABAJADOR',0,1,'C');$this->Ln(5);
			$consulta=mysqli_query($enlace,"select * from personal where id='".$_SESSION['id_validar']."' and codigo='".$_POST["cedula"]."'");
		    if (mysqli_num_rows($consulta)!=0){
			    $row=mysqli_fetch_array($consulta);
		        $this->SetFont('arial','B',11);
				$this->Cell(50,8,'APELLIDOS Y NOMBRES',1,0,'L');
				$this->SetFont('arial','',12);
				$this->Cell(145,8,implode(' ',array($row['nombres'],$row['nombres1'],$row['apellidos'],$row['apellidos1'])),1,1,'L');
				$this->SetFont('arial','B',11);
				$this->Cell(50,8,'DIRECCION',1,0,'L');
				$this->SetFont('arial','',9);
				$this->Cell(145,8,$row['dir'],1,1,'L');
				$this->SetFont('arial','B',11);
				$this->Cell(50,8,'C. I. o RIF. NUMERO',1,0,'L');
				$this->SetFont('arial','',12);
				$this->Cell(145,8,$row['sso'],1,1,'L');
				$this->Ln(5);
		    }
			
		/*if ($_POST['gerencia']!="") {
			$this->Cell(0,0,'Gerencia: '.$_POST['gerencia'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['division']!="") {
			$this->Cell(0,0,'División: '.$_POST['division'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['departamento']!="") {
			$this->Cell(0,0,'Departamento: '.$_POST['departamento'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['unidad']!="") {
			$this->Cell(0,0,'Unidad: '.$_POST['unidad'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['turno']!="") {
			$this->Cell(0,0,'Turno: '.$_POST['turno'],0,1,'L');$this->Ln(5);
		}
		if ($_POST['tipo']=="R") {
			$header=array('#','Fic.','Cedula','Nombres y Apellidos','Detalle','Saldo Anterior','Cuota','Saldo Final');
			$w=array(10,30,20,60,55,30,30,30);
		} 
		if ($_POST['tipo']=="O") {
			$header=array('#','Cedula','Nombres y Apellidos','Detalle','Total','Cuota','Saldo');
		    $w=array(5,18,60,100,24,24,24);
		}
		else {	
			$header=array('Cod.','Cedula','Nombres y Apellidos','Detalle','Total','Pago','#','Cuota','Saldo','#');
		    $w=array(10,15,50,90,20,20,5,20,20,5);
		}	
		    $this->SetFillColor(70,77,119);
			$this->SetTextColor(255);
			$this->SetDrawColor(255,255,255);
			$this->SetLineWidth(.5);
		    $this->SetFont('','');
		    //Cabecera
			$this->SetFont('arial','B',8);
			for($i=0;$i<count($header);$i++)
		        $this->Cell($w[$i],4,$header[$i],1,0,'C',1);
		    $this->Ln();
		    //Restauración de colores y fuentes
		    $this->SetFillColor(224,235,255);
		    $this->SetTextColor(0);
		    $this->SetFont('');*/
		}
		function Footer()
		{
		/*$this->SetY(-20);
		$this->Cell(0,0,'',1,1,'C');
		$this->SetFont('Times','I',8);
		$this->ln(2);
		$this->Cell(0,0,$_POST['pie'],0,1,'C');
		$this->Cell(0,10,'Página '.$this->PageNo().'/{nb}',0,0,'C');*/
		}
}
		$pdf=new PDF($orientacion='P',$unit='mm',$format='letter');
		$pdf->AddPage();
		$pdf->AliasNbPages();
		
		$pdf->SetFont('arial','B',12);
	    $pdf->Cell(0,0,'INFORMACION DE LOS PAGOS EFECTUADOS E IMPUESTO RETENIDO',0,1,'C');$pdf->Ln(5);
		$pdf->SetFont('arial','B',8);
		$pdf->Cell(50,8,'MES DE PAGO',1,0,'C');
		$pdf->Cell(50,8,'REMUNERACIONES PAGADAS',1,0,'C');
		$pdf->Cell(45,8,'% DE RETENCION',1,0,'C');
		$pdf->Cell(50,8,'IMPUESTO RETENIDO',1,1,'C');
		$consulta="SELECT sum(monto) as monto,cantidad,SUBSTRING(desperiodo,1,7) as mes FROM `historico` WHERE  id=".$_SESSION['id_validar']." and concepto IN ('2300','2301') 
		and cedula='".$_POST["cedula"]."' and SUBSTRING(desperiodo,1,4)='".$_POST["fecha"]."' GROUP BY mes,cantidad ORDER BY `historico`.`xxx` ASC";
		$resultado=mysqli_query($enlace,$consulta) or die ($consulta);
		$pdf->SetFont('Arial','',9);
		$mes=1;
		$total1=0;
		$total2=0;
		while($row=mysqli_fetch_array($resultado)) {
		    $pdf->Cell(50,8,mes_largo($mes),1,0,'L');
			$pdf->Cell(50,8,number_format (($row['monto']*100)/$row['cantidad'],2,',','.'),1,0,'C');
			$pdf->Cell(45,8,$row['cantidad'],1,0,'C');
			$pdf->Cell(50,8,$row['monto'],1,1,'C');
			$total1+=(($row['monto']*100)/$row['cantidad']);
			$total2+=$row['monto'];
		    $mes++;
		}
		if($mes!=13){
		     for($i=$mes;$i<13;$i++){
			     $pdf->Cell(50,8,mes_largo($i),1,0,'L');
			     $pdf->Cell(50,8,'0,00',1,0,'C');
			     $pdf->Cell(45,8,'',1,0,'C');
			     $pdf->Cell(50,8,'',1,1,'C');
			 }
		}
		$pdf->SetFont('arial','B',8);
		$pdf->Cell(50,8,'TOTALES',1,0,'C');
		$pdf->Cell(50,8,number_format($total1,2,',','.'),1,0,'C');
		$pdf->Cell(45,8,'',1,0,'C');
		$pdf->Cell(50,8,$total2,1,1,'C');
		$pdf->Ln(5);
		$pdf->SetFont('arial','B',12);
	    $pdf->Cell(97,8,'LUGAR Y FECHA',0,0,'C');
		$pdf->Cell(97,8,'FIRMA DEL AGENTE DE RETENCION',0,1,'C');
		$pdf->Ln(15);
		$pdf->Cell(97,8,' _____________________ ',0,0,'C');
		$pdf->Cell(97,8,' _____________________ ',0,1,'C');
		
		$pdf->SetFont('Arial','',8);
		$pdf->SetFillColor(224,235,255);
		$pdf->SetTextColor(0);
		
		$pdf->Output('ARC'.$_POST["cedula"].'-'.$_POST["fecha"].'.pdf','D');

} // fin de reporte
?>